#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.2.6
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.2.3
# FIXME: we need some way for applying updates from GUI VM
#Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5
# for qui/widget-wrapper
Requires:  xhost
Requires:  gtksourceview4

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*

%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/utils.py

%{python3_sitelib}/qui/updater.glade
%{python3_sitelib}/qui/updater_settings.glade
%{python3_sitelib}/qui/qubes-updater-base.css
%{python3_sitelib}/qui/qubes-updater-light.css
%{python3_sitelib}/qui/qubes-updater-dark.css

%{python3_sitelib}/qui/styles/qubes-colors-light.css
%{python3_sitelib}/qui/styles/qubes-colors-dark.css
%{python3_sitelib}/qui/styles/qubes-widgets-base.css

%dir %{python3_sitelib}/qui/updater/
%dir %{python3_sitelib}/qui/updater/__pycache__
%{python3_sitelib}/qui/updater/__pycache__/*
%{python3_sitelib}/qui/updater/__init__.py
%{python3_sitelib}/qui/updater/intro_page.py
%{python3_sitelib}/qui/updater/progress_page.py
%{python3_sitelib}/qui/updater/summary_page.py
%{python3_sitelib}/qui/updater/updater.py
%{python3_sitelib}/qui/updater/updater_settings.py
%{python3_sitelib}/qui/updater/utils.py

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/devices.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%dir %{python3_sitelib}/qubes_config
%dir %{python3_sitelib}/qubes_config/__pycache__
%{python3_sitelib}/qubes_config/__init__.py
%{python3_sitelib}/qubes_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/__init__.py
%{python3_sitelib}/qubes_config/global_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/basics_handler.py
%{python3_sitelib}/qubes_config/global_config/conflict_handler.py
%{python3_sitelib}/qubes_config/global_config/global_config.py
%{python3_sitelib}/qubes_config/global_config/page_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_manager.py
%{python3_sitelib}/qubes_config/global_config/policy_rules.py
%{python3_sitelib}/qubes_config/global_config/policy_exceptions_handler.py
%{python3_sitelib}/qubes_config/global_config/rule_list_widgets.py
%{python3_sitelib}/qubes_config/global_config/thisdevice_handler.py
%{python3_sitelib}/qubes_config/global_config/updates_handler.py
%{python3_sitelib}/qubes_config/global_config/usb_devices.py
%{python3_sitelib}/qubes_config/global_config/vm_flowbox.py
%{python3_sitelib}/qubes_config/new_qube/__init__.py
%{python3_sitelib}/qubes_config/new_qube/__pycache__/*
%{python3_sitelib}/qubes_config/new_qube/advanced_handler.py
%{python3_sitelib}/qubes_config/new_qube/application_selector.py
%{python3_sitelib}/qubes_config/new_qube/network_selector.py
%{python3_sitelib}/qubes_config/new_qube/new_qube_app.py
%{python3_sitelib}/qubes_config/new_qube/template_handler.py
%{python3_sitelib}/qubes_config/widgets/__init__.py
%{python3_sitelib}/qubes_config/widgets/__pycache__/*
%{python3_sitelib}/qubes_config/widgets/gtk_utils.py
%{python3_sitelib}/qubes_config/widgets/gtk_widgets.py
%{python3_sitelib}/qubes_config/widgets/utils.py

%{python3_sitelib}/qubes_config/global_config.glade
%{python3_sitelib}/qubes_config/new_qube.glade
%{python3_sitelib}/qubes_config/qubes-global-config-base.css
%{python3_sitelib}/qubes_config/qubes-global-config-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-dark.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-base.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-light.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-dark.css
%{python3_sitelib}/qubes_config/qubes-new-qube-base.css
%{python3_sitelib}/qubes_config/qubes-new-qube-light.css
%{python3_sitelib}/qubes_config/qubes-new-qube-dark.css

%{python3_sitelib}/qubes_config/policy_editor/__pycache__/*
%{python3_sitelib}/qubes_config/policy_editor.glade
%{python3_sitelib}/qubes_config/policy_editor/policy_editor.py
%{python3_sitelib}/qubes_config/policy_editor/__init__.py
%{python3_sitelib}/qubes_config/policy_editor/policy_help.txt

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/applications/qubes-global-config.desktop
/usr/share/applications/qubes-new-qube.desktop
/usr/share/applications/qubes-policy-editor.desktop

%{_bindir}/qubes-new-qube
%{_bindir}/qubes-global-config
%{_bindir}/qubes-policy-editor

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-maybe.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete-x.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
/usr/share/icons/hicolor/scalable/apps/check_no.svg
/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
/usr/share/icons/hicolor/scalable/apps/check_yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-policy-editor.svg
/usr/share/icons/hicolor/scalable/apps/qui-domains-scalable.svg

/usr/share/gtksourceview-4/language-specs/qubes-rpc.lang

%changelog
* Thu Apr 27 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42b905d
- version 4.2.6

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2bbe0b9
- Bump required python-qubesadmin version

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 624b6b6
- Fix uncaught exception in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 7738acf
- Fix discard changes on page switch in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 59de390
- Fix scrolling to currently-focused widget in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 33f9508
- Fix keyboard nav on the Updates page

* Tue Apr 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - d4b9503
- qubes-vm-update: include all derived vms in restarting

* Fri Mar 31 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2d822b1
- qubes-vm-update: import order

* Wed Mar 29 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - dbf163f
- qubes-vm-update: fix mocking after changing name of method + remove unused imports

* Mon Mar 27 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 5a9aa61
- qubes-vm-update: clicking restart sys-vms shows exception flowbox

* Mon Mar 27 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - cf074f0
- qubes-vm-update: updater settings tests

* Wed Mar 22 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a4c3703
- Modify submenu for internal qubes in qui-domains

* Mon Mar 20 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 3fe10f5
- qubes-vm-update: restart dialog

* Tue Mar 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 7471a71
- qubes-vm-update: fix dialog css & parallel issues

* Tue Mar 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 516e728
- qubes-vm-update: add test for modified vms

* Tue Mar 14 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 38fe4fc
- qubes-vm-update: @marmarta comments

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 28ee503
- qubes-vm-update: pylint

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 14abe2d
- fix style paths

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - d1a0cdd
- qubes-vm-update: controlled shutdown

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - acb274a
- qubes-vm-update: @marmarta comments

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2861863
- qubes-vm-update: gracefully cancel

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - c0127a7
- qubes-vm-update: parallel reading

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 6b59fee
- qubes-vm-update: refactor

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 5d73dd2
- qubes-vm-update: add type hints and move load_css to new style.py

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - c6f4bb7
- qubes-vm-update: fix test_progress_page.py

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 451ddbd
- qubes-vm-update: define vm label colors in qubes-colors-*.css

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 18c3df1
- qubes-vm-update: idle buffer update

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 8dc2cbf
- qubes-vm-update: more descriptive name for gradient colors

* Sat Mar 11 2023 Piotr Bartman <prbartman@gmail.com> - 52dc4fe
- qubes-vm-update: pylint & minor fixes

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2a63ece
- qubes-vm-update: move common styles to qui/styles

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - e39c01d
- qubes-vm-update: change never to unknown

* Sat Mar 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - b2da089
- qubes-vm-update: style

* Fri Mar 10 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - dcf437f
- qubes-vm-update: use features to choose vms

* Fri Mar 10 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 6cc49b5
- qubes-vm-update: parallel

* Fri Mar 10 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - b821653
- qubes-vm-update: draft

* Thu Mar 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ee742e3
- version 4.2.5

* Thu Mar 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8bd0a63
- Fix asking for new file name in policy editor

* Thu Mar 02 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 69b94f9
- Improve service highlighting and fix error msg

* Mon Feb 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 08f2e0d
- Improve sizing and fix window size

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6a0156c
- Add readme to policy editor

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 34f04a4
- Add icon + code review fixes for policy editor

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 02d4fd4
- Add Policy editor to menu

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2a5c8bf
- Add include/ dir to policy editor

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a31ee87
- Pylint update

* Fri Feb 24 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4cf621d
- Implement policy editor

* Sat Feb 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b932206
- version 4.2.4

* Thu Feb 16 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e9ca417
- Avoid changing dictionary we're iterating over

* Wed Feb 08 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2705bb2
- More tests for input devices config

* Wed Feb 08 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c9ca660
- pylint update

* Tue Feb 07 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3d8608a
- Fix policies for Input Devices

